import { Http,Util } from '@/utils';
import EntityService from '../entity-service';
import FillPersonInfoLogic from '@/service/pcm-ydjdmx/fill-person-info-logic';
import NewDisInfoLogic from '@/service/pcm-ydjdmx/new-dis-info-logic';
import RyHgLogic from '@/service/pcm-ydjdmx/ry-hg-logic';
import SetCheckstatusLogic from '@/service/pcm-ydjdmx/set-checkstatus-logic';
import SetNewZtLogic from '@/service/pcm-ydjdmx/set-new-zt-logic';



/**
 * 异动借调明细服务对象基类
 *
 * @export
 * @class PcmYdjdmxServiceBase
 * @extends {EntityServie}
 */
export default class PcmYdjdmxServiceBase extends EntityService {

    /**
     * Creates an instance of  PcmYdjdmxServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  PcmYdjdmxServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof PcmYdjdmxServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='pcmydjdmx';
        this.APPDEKEY = 'pcmydjdmxid';
        this.APPDENAME = 'pcmydjdmxes';
        this.APPDETEXT = 'pcmydjdmxname';
        this.APPNAME = 'ehrpcm2';
        this.SYSTEMNAME = 'ehr_practice05';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && context.pcmydjdmx){
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
        if(context.ormorg && context.ormpost && context.pcmydjdmx){
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
        if(context.ormorg && context.ormorgsector && context.pcmydjdmx){
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
        if(context.pimdistirbution && context.pcmydjdmx){
            return Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
        if(context.ormpost && context.pcmydjdmx){
            return Http.getInstance().get(`/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
        if(context.ormorg && context.pcmydjdmx){
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
        if(context.ormorgsector && context.pcmydjdmx){
            return Http.getInstance().get(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
        if(context.ormduty && context.pcmydjdmx){
            return Http.getInstance().get(`/ormduties/${context.ormduty}/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
        }
            return Http.getInstance().get(`/pcmydjdmxes/${context.pcmydjdmx}/select`,isloading);
    }

    /**
     * Create接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async Create(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormpost && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormorgsector && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes`,data,isloading);
            return res;
        }
        if(context.pimdistirbution && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes`,data,isloading);
            return res;
        }
        if(context.ormpost && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/ormposts/${context.ormpost}/pcmydjdmxes`,data,isloading);
            return res;
        }
        if(context.ormorg && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/pcmydjdmxes`,data,isloading);
            return res;
        }
        if(context.ormorgsector && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes`,data,isloading);
            return res;
        }
        if(context.ormduty && true){
            let masterData:any = {};
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/ormduties/${context.ormduty}/pcmydjdmxes`,data,isloading);
            return res;
        }
        let masterData:any = {};
        Object.assign(data,masterData);
        if(!data.srffrontuf || data.srffrontuf !== "1"){
            data[this.APPDEKEY] = null;
        }
        if(data.srffrontuf){
            delete data.srffrontuf;
        }
        let tempContext:any = JSON.parse(JSON.stringify(context));
        let res:any = await Http.getInstance().post(`/pcmydjdmxes`,data,isloading);
        return res;
    }

    /**
     * Update接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async Update(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormpost && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormorgsector && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        if(context.pimdistirbution && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        if(context.ormpost && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        if(context.ormorg && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/ormorgs/${context.ormorg}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        if(context.ormorgsector && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        if(context.ormduty && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/ormduties/${context.ormduty}/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
        }
        let masterData:any = {};
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().put(`/pcmydjdmxes/${context.pcmydjdmx}`,data,isloading);
            return res;
    }

    /**
     * Remove接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async Remove(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && context.pcmydjdmx){
            return Http.getInstance().delete(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
        if(context.ormorg && context.ormpost && context.pcmydjdmx){
            return Http.getInstance().delete(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
        if(context.ormorg && context.ormorgsector && context.pcmydjdmx){
            return Http.getInstance().delete(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
        if(context.pimdistirbution && context.pcmydjdmx){
            return Http.getInstance().delete(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
        if(context.ormpost && context.pcmydjdmx){
            return Http.getInstance().delete(`/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
        if(context.ormorg && context.pcmydjdmx){
            return Http.getInstance().delete(`/ormorgs/${context.ormorg}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
        if(context.ormorgsector && context.pcmydjdmx){
            return Http.getInstance().delete(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
        if(context.ormduty && context.pcmydjdmx){
            return Http.getInstance().delete(`/ormduties/${context.ormduty}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
        }
            return Http.getInstance().delete(`/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
    }

    /**
     * Get接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async Get(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
        if(context.ormorg && context.ormpost && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
        if(context.ormorg && context.ormorgsector && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
        if(context.pimdistirbution && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
        if(context.ormpost && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
        if(context.ormorg && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/ormorgs/${context.ormorg}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
        if(context.ormorgsector && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
        if(context.ormduty && context.pcmydjdmx){
            let res:any = await Http.getInstance().get(`/ormduties/${context.ormduty}/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
        }
            let res:any = await Http.getInstance().get(`/pcmydjdmxes/${context.pcmydjdmx}`,isloading);
            return res;
    }

    /**
     * GetDraft接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async GetDraft(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && true){
            let res:any = await Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        if(context.ormorg && context.ormpost && true){
            let res:any = await Http.getInstance().get(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        if(context.ormorg && context.ormorgsector && true){
            let res:any = await Http.getInstance().get(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        if(context.pimdistirbution && true){
            let res:any = await Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        if(context.ormpost && true){
            let res:any = await Http.getInstance().get(`/ormposts/${context.ormpost}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        if(context.ormorg && true){
            let res:any = await Http.getInstance().get(`/ormorgs/${context.ormorg}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        if(context.ormorgsector && true){
            let res:any = await Http.getInstance().get(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        if(context.ormduty && true){
            let res:any = await Http.getInstance().get(`/ormduties/${context.ormduty}/pcmydjdmxes/getdraft`,isloading);
            res.data.pcmydjdmx = data.pcmydjdmx;
            return res;
        }
        let res:any = await  Http.getInstance().get(`/pcmydjdmxes/getdraft`,isloading);
        res.data.pcmydjdmx = data.pcmydjdmx;
        return res;
    }

    /**
     * CheckKey接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async CheckKey(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormpost && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormorgsector && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
        if(context.pimdistirbution && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
        if(context.ormpost && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
        if(context.ormorg && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
        if(context.ormorgsector && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
        if(context.ormduty && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormduties/${context.ormduty}/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
            return res;
        }
            return Http.getInstance().post(`/pcmydjdmxes/${context.pcmydjdmx}/checkkey`,data,isloading);
    }

    /**
     * PersonBack接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async PersonBack(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let appLogic:RyHgLogic = new RyHgLogic({context:JSON.parse(JSON.stringify(context)),data:JSON.parse(JSON.stringify(data))});
        const result = await appLogic.onExecute(context,data,isloading?true:false);
        return {status:200,data:result};
    }

    /**
     * PersonInfo接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async PersonInfo(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        let appLogic:FillPersonInfoLogic = new FillPersonInfoLogic({context:JSON.parse(JSON.stringify(context)),data:JSON.parse(JSON.stringify(data))});
        const result = await appLogic.onExecute(context,data,isloading?true:false);
        return {status:200,data:result};
    }

    /**
     * Save接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async Save(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormpost && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        if(context.ormorg && context.ormorgsector && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        if(context.pimdistirbution && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        if(context.ormpost && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormposts/${context.ormpost}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        if(context.ormorg && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgs/${context.ormorg}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        if(context.ormorgsector && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        if(context.ormduty && context.pcmydjdmx){
            let masterData:any = {};
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/ormduties/${context.ormduty}/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
        }
        let masterData:any = {};
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().post(`/pcmydjdmxes/${context.pcmydjdmx}/save`,data,isloading);
            return res;
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        if(context.ormorg && context.ormpost && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        if(context.ormorg && context.ormorgsector && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        if(context.pimdistirbution && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        if(context.ormpost && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormposts/${context.ormpost}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        if(context.ormorg && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        if(context.ormorgsector && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        if(context.ormduty && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormduties/${context.ormduty}/pcmydjdmxes/fetchdefault`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pcmydjdmxes/fetchdefault`,tempData,isloading);
    }

    /**
     * FetchJDGLDQ接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async FetchJDGLDQ(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        if(context.ormorg && context.ormpost && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        if(context.ormorg && context.ormorgsector && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        if(context.pimdistirbution && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        if(context.ormpost && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormposts/${context.ormpost}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        if(context.ormorg && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        if(context.ormorgsector && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        if(context.ormduty && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormduties/${context.ormduty}/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pcmydjdmxes/fetchjdgldq`,tempData,isloading);
    }

    /**
     * FetchJDLSJLDQ接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PcmYdjdmxServiceBase
     */
    public async FetchJDLSJLDQ(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        if(context.ormorg && context.ormpost && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormposts/${context.ormpost}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        if(context.ormorg && context.ormorgsector && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        if(context.pimdistirbution && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        if(context.ormpost && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormposts/${context.ormpost}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        if(context.ormorg && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgs/${context.ormorg}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        if(context.ormorgsector && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormorgsectors/${context.ormorgsector}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        if(context.ormduty && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/ormduties/${context.ormduty}/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pcmydjdmxes/fetchjdlsjldq`,tempData,isloading);
    }
}