import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 分配信息服务对象基类
 *
 * @export
 * @class PimDistirbutionServiceBase
 * @extends {EntityServie}
 */
export default class PimDistirbutionServiceBase extends EntityService {

    /**
     * Creates an instance of  PimDistirbutionServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  PimDistirbutionServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof PimDistirbutionServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='pimdistirbution';
        this.APPDEKEY = 'pimdistirbutionid';
        this.APPDENAME = 'pimdistirbutions';
        this.APPDETEXT = 'pimpersonname';
        this.APPNAME = 'ehrpcm2';
        this.SYSTEMNAME = 'ehr_practice05';
    }

// 实体接口

    /**
     * Select接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async Select(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution){
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/select`,isloading);
        }
            return Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}/select`,isloading);
    }

    /**
     * Create接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async Create(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
            Object.assign(data,masterData);
            if(!data.srffrontuf || data.srffrontuf !== "1"){
                data[this.APPDEKEY] = null;
            }
            if(data.srffrontuf){
                delete data.srffrontuf;
            }
            let tempContext:any = JSON.parse(JSON.stringify(context));
            let res:any = await Http.getInstance().post(`/pimpeople/${context.pimperson}/pimdistirbutions`,data,isloading);
            this.tempStorage.setItem(tempContext.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(tempContext.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
        }
        let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
        Object.assign(data,masterData);
        if(!data.srffrontuf || data.srffrontuf !== "1"){
            data[this.APPDEKEY] = null;
        }
        if(data.srffrontuf){
            delete data.srffrontuf;
        }
        let tempContext:any = JSON.parse(JSON.stringify(context));
        let res:any = await Http.getInstance().post(`/pimdistirbutions`,data,isloading);
        this.tempStorage.setItem(tempContext.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
        this.tempStorage.setItem(tempContext.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
        return res;
    }

    /**
     * Update接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async Update(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution){
            let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().put(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}`,data,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
        }
        let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().put(`/pimdistirbutions/${context.pimdistirbution}`,data,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
    }

    /**
     * Remove接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async Remove(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution){
            return Http.getInstance().delete(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}`,isloading);
        }
            return Http.getInstance().delete(`/pimdistirbutions/${context.pimdistirbution}`,isloading);
    }

    /**
     * Get接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async Get(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution){
            let res:any = await Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}`,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
        }
            let res:any = await Http.getInstance().get(`/pimdistirbutions/${context.pimdistirbution}`,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
    }

    /**
     * GetDraft接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async GetDraft(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let res:any = await Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/getdraft`,isloading);
            res.data.pimdistirbution = data.pimdistirbution;
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
        }
        let res:any = await  Http.getInstance().get(`/pimdistirbutions/getdraft`,isloading);
        res.data.pimdistirbution = data.pimdistirbution;
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
        return res;
    }

    /**
     * CheckKey接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async CheckKey(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution){
            let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/checkkey`,data,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
        }
            return Http.getInstance().post(`/pimdistirbutions/${context.pimdistirbution}/checkkey`,data,isloading);
    }

    /**
     * DDCZC接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async DDCZC(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution){
            let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/ddczc`,data,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
        }
            return Http.getInstance().post(`/pimdistirbutions/${context.pimdistirbution}/ddczc`,data,isloading);
    }

    /**
     * Save接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async Save(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && context.pimdistirbution){
            let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
            Object.assign(data,masterData);
            let res:any = await Http.getInstance().post(`/pimpeople/${context.pimperson}/pimdistirbutions/${context.pimdistirbution}/save`,data,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
        }
        let masterData:any = {};
        let pcmddsqdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes'),'undefined')){
            pcmddsqdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmddsqdmxes') as any);
            if(pcmddsqdmxesData && pcmddsqdmxesData.length && pcmddsqdmxesData.length > 0){
                pcmddsqdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmddsqdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmddsqdmxes = pcmddsqdmxesData;
        let pcmydjdmxesData:any = [];
        if(!Object.is(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes'),'undefined')){
            pcmydjdmxesData = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_pcmydjdmxes') as any);
            if(pcmydjdmxesData && pcmydjdmxesData.length && pcmydjdmxesData.length > 0){
                pcmydjdmxesData.forEach((item:any) => {
                    if(item.srffrontuf){
                        if(Object.is(item.srffrontuf,"0")){
                            item.pcmydjdmxid = null;
                        }
                        delete item.srffrontuf;
                    }
                });
            }
        }
        masterData.pcmydjdmxes = pcmydjdmxesData;
        Object.assign(data,masterData);
            let res:any = await  Http.getInstance().post(`/pimdistirbutions/${context.pimdistirbution}/save`,data,isloading);
            this.tempStorage.setItem(context.srfsessionkey+'_pcmddsqdmxes',JSON.stringify(res.data.pcmddsqdmxes));
            this.tempStorage.setItem(context.srfsessionkey+'_pcmydjdmxes',JSON.stringify(res.data.pcmydjdmxes));
            return res;
    }

    /**
     * FetchDQFP接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchDQFP(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchdqfp`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchdqfp`,tempData,isloading);
    }

    /**
     * FetchDQYXFP接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchDQYXFP(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchdqyxfp`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchdqyxfp`,tempData,isloading);
    }

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchdefault`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchdefault`,tempData,isloading);
    }

    /**
     * FetchEXPEREENCE接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchEXPEREENCE(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchexpereence`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchexpereence`,tempData,isloading);
    }

    /**
     * FetchGBYXZFP接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchGBYXZFP(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchgbyxzfp`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchgbyxzfp`,tempData,isloading);
    }

    /**
     * FetchISOUTRECORD接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchISOUTRECORD(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchisoutrecord`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchisoutrecord`,tempData,isloading);
    }

    /**
     * FetchJDDQ接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchJDDQ(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchjddq`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchjddq`,tempData,isloading);
    }

    /**
     * FetchJDRYHMC接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchJDRYHMC(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchjdryhmc`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchjdryhmc`,tempData,isloading);
    }

    /**
     * FetchJLSS接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchJLSS(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchjlss`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchjlss`,tempData,isloading);
    }

    /**
     * FetchKDDYXZFP接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchKDDYXZFP(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchkddyxzfp`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchkddyxzfp`,tempData,isloading);
    }

    /**
     * FetchLGTX接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchLGTX(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchlgtx`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchlgtx`,tempData,isloading);
    }

    /**
     * FetchMobDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchMobDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchmobdefault`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchmobdefault`,tempData,isloading);
    }

    /**
     * FetchYDCFP接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchYDCFP(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchydcfp`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchydcfp`,tempData,isloading);
    }

    /**
     * FetchYDWQX接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchYDWQX(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchydwqx`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchydwqx`,tempData,isloading);
    }

    /**
     * FetchYXFP接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchYXFP(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchyxfp`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchyxfp`,tempData,isloading);
    }

    /**
     * FetchZIZHU接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchZIZHU(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchzizhu`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchzizhu`,tempData,isloading);
    }

    /**
     * FetchZPCJFP接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof PimDistirbutionServiceBase
     */
    public async FetchZPCJFP(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        if(context.pimperson && true){
            let tempData:any = JSON.parse(JSON.stringify(data));
            return Http.getInstance().get(`/pimpeople/${context.pimperson}/pimdistirbutions/fetchzpcjfp`,tempData,isloading);
        }
        let tempData:any = JSON.parse(JSON.stringify(data));
        return Http.getInstance().get(`/pimdistirbutions/fetchzpcjfp`,tempData,isloading);
    }
}